package com.zksy.base.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.base.domain.PipeNetworkBase;
import com.zksy.base.dto.PipeNetworkExportDTO;
import com.zksy.base.dto.PipeNetworkPageInDTO;

import java.util.List;

public interface PipeNetworkBaseService extends IService<PipeNetworkBase> {

    Page<PipeNetworkBase> queryByPage(PipeNetworkPageInDTO dto);
    Page<PipeNetworkBase> findByPage(long pageNum, long pageSize,
                                      String networkCode, String networkName,
                                      String networkType, String status);

    boolean saveWithCheck(PipeNetworkBase entity);

    boolean saveBatchWithCheck(List<PipeNetworkBase> entityList);

    boolean updateWithCheck(PipeNetworkBase entity);

    List<PipeNetworkBase> getOptions();
    boolean removeWithCheck(String id);

    boolean removeBatchWithCheck(List<String> ids);

    List<PipeNetworkExportDTO> exportData(String networkName, String status);
}
